<template>
  <div class="page-content corporate-customers">
    <transition-group
      :name="transitionName"
      appear
      class="transition-group"
      tag="div"
    >
      <!--   新增修改页面   -->
      <edit-add-page
        key="EditAddPage"
        :componentName="componentName"
        @changePage="changePage"
      />
    </transition-group>
  </div>
</template>

<script>
import EditAddPage from './components/EditAddPage/index.vue'
import PubSub from 'pubsub-js'

export default {
  name: 'informatiOnForAttentionPublish',
  components: {EditAddPage},
  data() {
    return {
      componentName: 'EditAddPage',
      pubSub: null,
      transitionName: ''
    }
  },
  mounted() {},
  methods: {
    // pageName显示页面标识符 done回调函数，保证页面挂载后执行的逻辑
    /**
     * @param {String} pageName 显示页面标识符(必传)
     * @param {Function} done 回调函数(非必传)
     * @param {String} type 面包屑标题(非必传)
     * */
    changePage(pageName = '', done, type = '') {
      this.componentName = pageName
      this.transitionName =
        this.transitionName === 'fold-right' ? 'fold-left' : 'fold-right'
      done && done()
      switch (pageName) {
        case 'TablePage':
          PubSub.publish('go-back')
          break
        case 'EditAddPage':
          PubSub.publish('add-custom-breadcrumb', type || '编辑')
          break
        case 'DetailPage':
          PubSub.publish('add-custom-breadcrumb', '详情')
          break
      }
    }
  },
  beforeDestroy() {
    // 在组件销毁之前 清除订阅消息
    PubSub.unsubscribe(this.pubSub)
  }
}
</script>

<style lang="scss" scoped>
.corporate-customers {
  background-color: #0f304f;
}
</style>
